--Neoloader registration
if type(lib) == "table" and lib[0] == "LME" then
	if not lib.is_exist("wikigo", "0") then
		lib.register("plugins/WikiGo/wikigo.ini")
	end
	
	if not lib.is_ready("wikigo", "0") then
		return
	end
end

--take args and replace with underscore
local concat_args = function(args)
	if type(args) ~= "table" then
		return tostring(args)
	end
	
	return table.concat(args, "_", 1, #args)
end

--open user's link in webpage
local do_link = function(_, args)
	if args then
		Game.OpenWebBrowser("http://vo-wiki.com/wiki/" .. concat_args(args))
	else
		Game.OpenWebBrowser("http://vo-wiki.com/")
	end
end

--make the command available
RegisterUserCommand("wiki", do_link)